Bug 32243 - Key-mapping problem with Xemacs
Key-mapping problem with Xemacs
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-19 12:15 EST by Markku Kolkka
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-21 04:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markku Kolkka 2001-03-19 12:15:26 EST
After updating my Wolverine to XFree86 4.0.3, Xemacs gives the following 
warning at startup:
(1) (key-mapping/warning) XEmacs:  Mode_switch (0x71) generates both Mod1 
and Mod3, which is nonsensical.
Comment 1 Trond Eivind Glomsrxd 2001-03-20 18:19:58 EST
What does your keyboard configuration look like?
Comment 2 Markku Kolkka 2001-03-21 12:06:00 EST
The configuration should be completely standard Finnish language 105-key 
keyboard. Here's the keyboard section from XF86Config-4

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"

#	Option	"AutoRepeat"	"500 5"

# when using XQUEUE, comment out the above line, and uncomment the
# following line
#	Option	"Protocol"	"Xqueue"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"pc105"
	Option	"XkbLayout"	"fi"
	#Option	"XkbVariant"	""
	#Option	"XkbOptions"	""
Comment 3 Markku Kolkka 2001-05-19 14:45:14 EDT
The Red Hat release 7.1 (Seawolf) still has this same problem. Based on 
another 7.1 installation I did and reports in Finnish Linux newsgroup it is 
Comment 4 Mike A. Harris 2002-04-20 17:52:27 EDT
Is this problem resolved now by the XFree86 4.1.0-15 erratum which was
released for RHL 7.1 and 7.2?  Looking at the fi symbol files for 4.1.0,
I don't see any blaring problems.

Setting bug to MODIFIED state awaiting confirmation on wether or not it
is fixed.  Please close bug as ERRATA if the errata release fixes it, or
REOPEN the report if the problem persists.

Comment 5 Markku Kolkka 2002-04-21 04:44:46 EDT
 It's fixed in 4.2.0-0.2, I haven't tried 4.1.0-15.

Note You need to log in before you can comment on or make changes to this bug.